# ViewStatisticsDistributionTable (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.utility

## Class ViewStatisticsDistributionTable

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewStatistics<AnalysisContextDistribution>
  - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsDistributionTable

- All Implemented Interfaces:
    IView

      public class ViewStatisticsDistributionTable
      extends ViewStatistics<AnalysisContextDistribution>

  This view displays a frequency distribution.

- - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

      `MINIMAL_WORKING_TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewStatisticsDistributionTable(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.swt.widgets.Control` | `createControl(org.eclipse.swt.widgets.Composite parent)` Implement this to create the widget.
    `protected AnalysisContextDistribution` | `createViewConfig(AnalysisContext context)`
    `protected void` | `doReset()` Implement this to reset.
    `protected void` | `doUpdate(AnalysisContextDistribution context)` Implement this to update.
    `LayoutUtility.ViewUtilityType` | `getType()` Returns the type
    `protected boolean` | `isRunning()` Is an analysis running

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

      `dispose, getController, getModel, getParent, getProgressProvider, getTarget, isEnabled, reset, setStatusDone, setStatusEmpty, setStatusWorking, triggerUpdate, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewStatisticsDistributionTable

          public ViewStatisticsDistributionTable(org.eclipse.swt.widgets.Composite parent,
                                         Controller controller,
                                         ModelEvent.ModelPart target,
                                         ModelEvent.ModelPart reset)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -
        `target` -
        `reset` -

  - ### Method Detail

    - #### getType

          public LayoutUtility.ViewUtilityType getType()

      Description copied from class: `ViewStatistics`
      Returns the type
      Specified by:
        `getType` in class `ViewStatistics<AnalysisContextDistribution>`
      Returns:

    - #### createControl

          protected org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

      Description copied from class: `ViewStatistics`
      Implement this to create the widget.
      Specified by:
        `createControl` in class `ViewStatistics<AnalysisContextDistribution>`
      Returns:

    - #### createViewConfig

          protected AnalysisContextDistribution createViewConfig(AnalysisContext context)

      Specified by:
        `createViewConfig` in class `ViewStatistics<AnalysisContextDistribution>`
      Returns:

    - #### doReset

          protected void doReset()

      Description copied from class: `ViewStatistics`
      Implement this to reset.
      Specified by:
        `doReset` in class `ViewStatistics<AnalysisContextDistribution>`

    - #### doUpdate

          protected void doUpdate(AnalysisContextDistribution context)

      Description copied from class: `ViewStatistics`
      Implement this to update.
      Specified by:
        `doUpdate` in class `ViewStatistics<AnalysisContextDistribution>`

    - #### isRunning

          protected boolean isRunning()

      Is an analysis running
      Specified by:
        `isRunning` in class `ViewStatistics<AnalysisContextDistribution>`
      Returns: